aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorromkatv <roman.perepelitsa@gmail.com>2020-04-05 08:25:10 +0300
committerromkatv <roman.perepelitsa@gmail.com>2020-04-05 08:25:10 +0300
commitddc47993a23b417c600020a35d7f4105e9048bff (patch)
tree38a1c5a062db7c5e8ab17936a693cb1632f5eefb
parent3ef4e68b5fdae654f323af644cbca40f27a8ab97 (diff)
add POWERLEVEL9K_CONFIG_FILE
-rw-r--r--config/p10k-classic.zsh3
-rw-r--r--config/p10k-lean-8colors.zsh3
-rw-r--r--config/p10k-lean.zsh3
-rw-r--r--config/p10k-pure.zsh3
-rw-r--r--config/p10k-rainbow.zsh3
-rw-r--r--config/p10k-robbyrussell.zsh3
-rw-r--r--internal/configure.zsh9
7 files changed, 23 insertions, 4 deletions
diff --git a/config/p10k-classic.zsh b/config/p10k-classic.zsh
index 635e0126..20fab717 100644
--- a/config/p10k-classic.zsh
+++ b/config/p10k-classic.zsh
@@ -1498,5 +1498,8 @@
(( ! $+functions[p10k] )) || p10k reload
}
+# Tell `p10k configure` which file it should overwrite.
+typeset -g POWERLEVEL9K_CONFIG_FILE=${${(%):-%x}:a}
+
(( ${#p10k_config_opts} )) && setopt ${p10k_config_opts[@]}
'builtin' 'unset' 'p10k_config_opts'
diff --git a/config/p10k-lean-8colors.zsh b/config/p10k-lean-8colors.zsh
index 7381402b..86fff628 100644
--- a/config/p10k-lean-8colors.zsh
+++ b/config/p10k-lean-8colors.zsh
@@ -1476,5 +1476,8 @@
(( ! $+functions[p10k] )) || p10k reload
}
+# Tell `p10k configure` which file it should overwrite.
+typeset -g POWERLEVEL9K_CONFIG_FILE=${${(%):-%x}:a}
+
(( ${#p10k_config_opts} )) && setopt ${p10k_config_opts[@]}
'builtin' 'unset' 'p10k_config_opts'
diff --git a/config/p10k-lean.zsh b/config/p10k-lean.zsh
index 7d9a537d..1a5bf89f 100644
--- a/config/p10k-lean.zsh
+++ b/config/p10k-lean.zsh
@@ -1476,5 +1476,8 @@
(( ! $+functions[p10k] )) || p10k reload
}
+# Tell `p10k configure` which file it should overwrite.
+typeset -g POWERLEVEL9K_CONFIG_FILE=${${(%):-%x}:a}
+
(( ${#p10k_config_opts} )) && setopt ${p10k_config_opts[@]}
'builtin' 'unset' 'p10k_config_opts'
diff --git a/config/p10k-pure.zsh b/config/p10k-pure.zsh
index bda5d3d3..8544089b 100644
--- a/config/p10k-pure.zsh
+++ b/config/p10k-pure.zsh
@@ -186,5 +186,8 @@
(( ! $+functions[p10k] )) || p10k reload
}
+# Tell `p10k configure` which file it should overwrite.
+typeset -g POWERLEVEL9K_CONFIG_FILE=${${(%):-%x}:a}
+
(( ${#p10k_config_opts} )) && setopt ${p10k_config_opts[@]}
'builtin' 'unset' 'p10k_config_opts'
diff --git a/config/p10k-rainbow.zsh b/config/p10k-rainbow.zsh
index 068333f5..412332a9 100644
--- a/config/p10k-rainbow.zsh
+++ b/config/p10k-rainbow.zsh
@@ -1573,5 +1573,8 @@
(( ! $+functions[p10k] )) || p10k reload
}
+# Tell `p10k configure` which file it should overwrite.
+typeset -g POWERLEVEL9K_CONFIG_FILE=${${(%):-%x}:a}
+
(( ${#p10k_config_opts} )) && setopt ${p10k_config_opts[@]}
'builtin' 'unset' 'p10k_config_opts'
diff --git a/config/p10k-robbyrussell.zsh b/config/p10k-robbyrussell.zsh
index 5e0f8958..f831395e 100644
--- a/config/p10k-robbyrussell.zsh
+++ b/config/p10k-robbyrussell.zsh
@@ -104,5 +104,8 @@
(( ! $+functions[p10k] )) || p10k reload
}
+# Tell `p10k configure` which file it should overwrite.
+typeset -g POWERLEVEL9K_CONFIG_FILE=${${(%):-%x}:a}
+
(( ${#p10k_config_opts} )) && setopt ${p10k_config_opts[@]}
'builtin' 'unset' 'p10k_config_opts'
diff --git a/internal/configure.zsh b/internal/configure.zsh
index 84d374b5..b8bc5768 100644
--- a/internal/configure.zsh
+++ b/internal/configure.zsh
@@ -2,10 +2,6 @@ typeset -gr __p9k_wizard_columns=55
typeset -gr __p9k_wizard_lines=21
typeset -gr __p9k_zd=${ZDOTDIR:-$HOME}
typeset -gr __p9k_zd_u=${${${(q)__p9k_zd}/#(#b)${(q)HOME}(|\/*)/'~'$match[1]}//\%/%%}
-typeset -gr __p9k_cfg_basename=.p10k.zsh
-typeset -gr __p9k_cfg_path_o=$__p9k_zd/$__p9k_cfg_basename
-typeset -gr __p9k_cfg_path=${__p9k_cfg_path_o:A}
-typeset -gr __p9k_cfg_path_u=$__p9k_zd_u/$__p9k_cfg_basename
typeset -gr __p9k_zshrc=${${:-$__p9k_zd/.zshrc}:A}
typeset -gr __p9k_zshrc_u=$__p9k_zd_u/.zshrc
typeset -gr __p9k_root_dir_u=${${${(q)__p9k_root_dir}/#(#b)${(q)HOME}(|\/*)/'~'$match[1]}//\%/%%}
@@ -15,6 +11,10 @@ function _p9k_can_configure() {
function $0_error() {
(( q )) || print -rP "%1F[ERROR]%f %Bp10k configure%b: $1" >&2
}
+ typeset -g __p9k_cfg_path_o=${POWERLEVEL9K_CONFIG_FILE:=${ZDOTDIR:-~}/.p10k.zsh}
+ typeset -g __p9k_cfg_basename=${__p9k_cfg_path_o:t}
+ typeset -g __p9k_cfg_path=${__p9k_cfg_path_o:A}
+ typeset -g __p9k_cfg_path_u=${${${(q)__p9k_cfg_path_o}/#(#b)${(q)HOME}(|\/*)/'~'$match[1]}//\%/%%}
{
[[ -o multibyte ]] || { $0_error "multibyte option is not set"; return 1 }
[[ -e $__p9k_zd ]] || { $0_error "$__p9k_zd_u does not exist"; return 1 }
@@ -56,6 +56,7 @@ function _p9k_can_configure() {
function p9k_configure() {
eval "$__p9k_intro"
+ _p9k_can_configure || return
(
set -- -f
source $__p9k_root_dir/internal/wizard.zsh